Bug 1222902 - Encrypt-then-MAC TLS extension unrecognised
Summary: Encrypt-then-MAC TLS extension unrecognised
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: wireshark
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Sehnoutka
QA Contact: Jaroslav Aster
URL:
Whiteboard:
: 1238679 (view as bug list)
Depends On: 1222901
Blocks: 1356054 1373253
TreeView+ depends on / blocked
 
Reported: 2015-05-19 12:13 UTC by Hubert Kario
Modified: 2017-03-21 09:54 UTC (History)
4 users (show)

Fixed In Version: wireshark-1.8.10-17.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1222901
Environment:
Last Closed: 2017-03-21 09:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0631 normal SHIPPED_LIVE Moderate: wireshark security and bug fix update 2017-03-21 12:29:55 UTC

Description Hubert Kario 2015-05-19 12:13:27 UTC
Description of problem:
If the client or server contain extension of type 0x0016 (22), they are reported as "Unknown".

Version-Release number of selected component (if applicable):
wireshark-1.8.10-17.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. load tlsv1.0-dhe-rsa.pcapng
2. Inspect Client Hello and Server Hello messages

Actual results:
Extension is marked as "Unknown"

Expected results:
Extension is recognised as "Encrypt then MAC"

Additional info:
See Bug #1222901 for packet capture

Comment 3 Martin Sehnoutka 2016-07-20 07:10:20 UTC
*** Bug 1238679 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2017-03-21 09:54:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0631.html


Note You need to log in before you can comment on or make changes to this bug.